Ruby - Bug #18380

TestAddressResolve#test_socket_getnameinfo_domain_blocking test failures

12/02/2021 08:32 AM - vo.x (Vit Ondruch)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 3.1.0dev (2021-12-01 master
a84dc9d80d) [x86_64-linux]

Backport:

2.7: DONTNEED, 3.0: DONTNEED, 3.1:
DONE

Description
Testing Ruby 3.1.0, | observe the following test failure:

2) Error:

TestAddressResolvefftest_socket_getnameinfo_domain_blocking:

SocketError: getnameinfo: Temporary failure in name resolution

/builddir/build/BUILD/ruby-3.1.0-a84dc9d80d/test/fiber/test_address_resolve.rb:272:in ‘getname

info'

/builddir/build/BUILD/ruby-3.1.0-a84dc9d80d/test/fiber/test_address_resolve.rb:272:in “block (
2 levels) in test_socket_getnameinfo_domain_blocking'

Please note that the test is executed in container without network access.

Associated revisions

Revision 01eab9a5d1886412869f85d4b87779f22d548867 - 11/05/2022 05:24 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 16953867ed8fc951364f05fdf0c9267799e3087a: [Backport #18380]

We don't care about actual hostname resolution.
https://bugs.ruby-lang.org/issues/18380

test/fiber/test_address_resolve.rb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

(#6652)

Revision 01eab9a5d1886412869f85d4b87779f22d548867 - 11/05/2022 05:24 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 16953867ed8fc951364f05fdf0c9267799e3087a: [Backport #18380]

We don't care about actual hostname resolution.

https://bugs.ruby-lang.org/issues/18380
test/fiber/test_address_resolve.rb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

(#6652)

Revision 01eab9a5 - 11/05/2022 05:24 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 16953867ed8fc951364f05fdf0c9267799e3087a: [Backport #18380]

We don't care about actual hostname resolution.
https://bugs.ruby-lang.org/issues/18380

test/fiber/test_address_resolve.rb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

History

(#6652)

#1 - 12/21/2021 04:22 PM - vo.x (Vit Ondruch)
Still issue with git|cdb7d699d0

#2 - 11/01/2022 04:11 AM - ioquatix (Samuel Williams)

This should be fixed by https://github.com/ruby/ruby/pull/6652. Can you please confirm? Thanks :)
https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/cdb7d699d0641e8f081d590d06d07887ac09961f
https://github.com/ruby/ruby/pull/6652

#3 - 11/01/2022 11:20 AM - mame (Yusuke Endoh)
- Status changed from Open to Closed

Closing as our Cl on Fedora 36 passed http:/rubyci.s3.amazonaws.com/fedora36/ruby-master/recent.html . Thank you!

#4 - 11/01/2022 11:26 AM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0: UNKNOWN to 2.7: DONTNEED, 3.0: DONTNEED, 3.1: REQUIRED

#5 - 11/01/2022 01:17 PM - vo.x (Vit Ondruch)

ioquatix (Samuel Williams) wrote in #note-2:

This should be fixed by https:/github.com/ruby/ruby/pull/6652. Can you please confirm? Thanks :)

This also works on Fedora infrastructure:

https://src.fedoraproject.org/rpms/ruby/c/cef7a5d269b296783507cf4b003576ca44ab3316
https://koji.fedoraproject.org/koji/taskinfo?tasklD=93660576

Thx a lot ¥[]

#6 - 11/05/2022 05:26 AM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.7: DONTNEED, 3.0: DONTNEED, 3.1: REQUIRED to 2.7: DONTNEED, 3.0: DONTNEED, 3.1: DONE

ruby_3_1 01eab9a5d1886412869185d4b87779f22d548867 merged revision(s) 16953867ed8fc951364f05fdf0c9267799e3087a.

07/18/2025

22


http://rubyci.s3.amazonaws.com/fedora36/ruby-master/recent.html
https://github.com/ruby/ruby/pull/6652
https://src.fedoraproject.org/rpms/ruby/c/cef7a5d269b296783507cf4b003576ca44ab3316
https://koji.fedoraproject.org/koji/taskinfo?taskID=93660576
http://www.tcpdf.org

